FROM maven:3.6.3-openjdk-15

ARG BLOCKCHAIN_SECRETSMANAGER_ID=TBD
ARG BLOCKCHAIN_SECRETSMANAGER_SECRET=TBD
ARG PURESTAKE_API_KEY=TBD

#copy java folder
COPY . /blockchain-service
COPY blockchain-service-entrypoint.sh /blockchain-service/blockchain-service-entrypoint.sh
WORKDIR /blockchain-service 
RUN mvn clean install

#startup commands
ENTRYPOINT ["sh","/blockchain-service/blockchain-service-entrypoint.sh"]

## build from terminal
## docker build -f blockchain-service-dockerfile
